Summary:	Check HTML documents for broken links
Name:		linkchecker
Version:	9.3.3
Release:	alt1.git20171127
License:	GPLv2+
Group:		Networking/WWW
Url:		https://github.com/linkcheck/linkchecker
Source0:	LinkChecker-%{version}.tar.gz
BuildRequires:	python-module-setuptools
BuildRequires:  gettext
BuildRequires:	pkgconfig(python)
Requires:	python-module-requests python-module-pyxdg

%description
LinkChecker is a website validator. LinkChecker checks links in web documents or full websites.

Features:
- Recursive and multithreaded checking and site crawling
- Output in colored or normal text, HTML, SQL, CSV, XML or a sitemap graph in 
different formats
- HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file links 
support
- Restriction of link checking with regular expression filters for URLs
- Proxy support
- Username/password authorization for HTTP and FTP and Telnet
- Honors robots.txt exclusion protocol
- Cookie support
- HTML5 support
- HTML and CSS syntax check
- Antivirus check
- Different interfaces: command line, GUI and web interface
... and a lot more ...

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_mandir}/*/*
%{python_sitelibdir}/*

#----------------------------------------------------------------------------

%prep
%setup -qn LinkChecker-%{version}

%build
#export PATH=$PATH:/usr/lib/qt4/bin/
python setup.py build

%install
PYTHONDONTWRITEBYTECODE= python setup.py install --root=%{buildroot}

install -d %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_datadir}/linkchecker/linkcheckerrc %{buildroot}%{_sysconfdir}

%find_lang %{name}


%changelog

* Mon Nov 27 2017 Anton Shevtsov <shevtsov.anton@gmail.com> 9.3-3
- build  from git 2017-11-27, c2ce810c3fb00b895a841a7be6b2e78c64e7b042
